List Transactions

Returns a paginated transaction history for the authenticated user's accounts. Use filter[accountId] to scope results to a specific account.

Role-based access:

RoleTransactions returned
Individual / Business OwnerOwn account transactions only
AdvisorTransactions for clients in their assigned portfolio
Branch ManagerTransactions for all clients within their branch
Head Branch ManagerTransactions across branches under their management
Root AdvisorAll transactions organization-wide
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns a paginated transaction history for the authenticated user's accounts.

This endpoint is shared across Individual and Business Owner user types at the same URL:
GET /accounts/private/v1/transactions

Role-Based Access

RoleTransactions Returned
IndividualOwn account transactions only
Business OwnerOwn account transactions only
AdvisorTransactions for clients in their assigned portfolio
Root AdvisorAll transactions organization-wide
Branch ManagerTransactions for all clients within their branch
Head Branch ManagerTransactions across branches under their management
Super AdvisorAll transactions organization-wide

Use filter[accountId] to scope results to a specific account.

Query Params
string

Sorts records. Can be sorted in DESC direction by adding "-" prefix. Example values: id, createdAt, -createdAt.

string

Applies filter by id.

string

Applies filter by account id.

string

Applies filter by createdAt. Returns records where date >= passed.

string

Applies filter by createdAt. Returns records where date <= passed.

string

Applies filter by subject.

string

Applies filter by list of subjects.

string

Applies filter by autoPaymentId.

string
enum

Applies filter by operation.

Allowed:
string

Applies filter (partial search from start) by sender or recipient account number.

string

Applies filter by the last 4 digits of the account number associated with the transaction.

string

Applies filter by type, ie "account", "card".

string

Applies filter by cardId.

string

Applies filter by account type.

string

Filter by exact status match.

string

Filter by status NOT equal to the given value.

string

Filter by status being in the given comma-separated list.

string

Filter by status NOT in the given comma-separated list.

string

Filter by status (simple equality shorthand).

integer
1 to 100
Defaults to 20

Number of records to return per page. Default is 20.

integer
≥ 1
Defaults to 1

Page number to return (1-based). Default is 1.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json